package com.ss.android.ugc.aweme.kids.recommendfeed;

import X.AnonymousClass372;
import X.Lnj;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.kids.recommendfeed.api.IRecommendFeedService;
import com.ss.android.ugc.aweme.kids.recommendfeed.ui.RecommendFeedFragment;

public final class RecommendFeedServiceImpl implements IRecommendFeedService {
    static {
        Covode.recordClassIndex(89848);
    }

    public final Aweme LIZIZ() {
        return AnonymousClass372.LIZ;
    }

    public final Fragment LIZ() {
        return new RecommendFeedFragment();
    }

    public static IRecommendFeedService LIZJ() {
        MethodCollector.i(662);
        IRecommendFeedService iRecommendFeedService = (IRecommendFeedService) Lnj.LIZ(IRecommendFeedService.class, false);
        if (iRecommendFeedService != null) {
            MethodCollector.o(662);
            return iRecommendFeedService;
        }
        Object LIZIZ = Lnj.LIZIZ(IRecommendFeedService.class, false);
        if (LIZIZ != null) {
            IRecommendFeedService iRecommendFeedService2 = (IRecommendFeedService) LIZIZ;
            MethodCollector.o(662);
            return iRecommendFeedService2;
        }
        if (Lnj.LLLLLLZZ == null) {
            synchronized (IRecommendFeedService.class) {
                try {
                    if (Lnj.LLLLLLZZ == null) {
                        Lnj.LLLLLLZZ = new RecommendFeedServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(662);
                    throw th;
                }
            }
        }
        RecommendFeedServiceImpl recommendFeedServiceImpl = (RecommendFeedServiceImpl) Lnj.LLLLLLZZ;
        MethodCollector.o(662);
        return recommendFeedServiceImpl;
    }
}
